Status
Get canonical full-history status
Response Body
application/json
curl -X GET "https://example.com/v1/status/full-history"{ "canonicalCoverage": { "archiveSourceCount": 1, "source": "postgres_canonical", "rangeKind": "contiguous_bounded", "batchCount": 1, "ledgerCount": 1, "transactionCount": 0, "transactionResultCount": 0, "firstLedger": "string", "lastLedger": "string", "latestEvidence": { "archiveUrlIdentity": "string", "batchId": "5579c111-9c50-47e2-af92-f16d52e63189", "checkpointLedger": "string", "checkpointProofId": 1, "decoderVersion": "string", "firstLedger": "string", "ingestedAt": "2019-08-24T14:15:22Z", "lastLedger": "string", "proofEvaluatedAt": "2019-08-24T14:15:22Z", "proofVersion": 1, "sourceObjects": { "checkpointState": { "algorithm": "sha256", "contentDigest": "string", "objectRemoteId": "230cf7cb-3bab-414f-83f3-cc6c8b830aa4", "representation": "canonical-json" }, "ledger": { "algorithm": "sha256", "contentDigest": "string", "objectRemoteId": "230cf7cb-3bab-414f-83f3-cc6c8b830aa4", "representation": "canonical-json" }, "results": { "algorithm": "sha256", "contentDigest": "string", "objectRemoteId": "230cf7cb-3bab-414f-83f3-cc6c8b830aa4", "representation": "canonical-json" }, "transactions": { "algorithm": "sha256", "contentDigest": "string", "objectRemoteId": "230cf7cb-3bab-414f-83f3-cc6c8b830aa4", "representation": "canonical-json" } } }, "nextLedger": "string", "latestLedgerClosedAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "canonicalPromotion": { "checkpointLedger": "string", "heartbeatAt": "2019-08-24T14:15:22Z", "lastAttemptAt": "2019-08-24T14:15:22Z", "lastErrorCode": "string", "lastFailureAt": "2019-08-24T14:15:22Z", "lastOutcome": "bootstrap-required", "lastSuccessAt": "2019-08-24T14:15:22Z", "nextLedger": "string", "startedAt": "2019-08-24T14:15:22Z", "state": "failed" }, "generatedAt": "2019-08-24T14:15:22Z", "status": "ok", "mode": "archive_header_parser", "parsedLedgerCount": 0, "earliestParsedLedger": "string", "latestParsedLedger": "string", "latestObservedAt": "2019-08-24T14:15:22Z", "sourceArchiveCount": 0, "localTransactionIndexReady": true, "localOperationIndexReady": true, "localAssetIndexReady": true, "localContractIndexReady": true}